Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable
Summary: Show waiting hold expiration date for waiting holds in holds ajax datatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13030
Blocks: 13517
  Show dependency treegraph
 
Reported: 2015-03-17 14:09 UTC by Kyle M Hall
Modified: 2016-12-05 21:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable (4.32 KB, patch)
2015-03-17 14:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable (4.32 KB, patch)
2015-03-18 12:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable (4.68 KB, patch)
2015-06-01 14:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable (4.68 KB, patch)
2015-06-09 16:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable (4.86 KB, patch)
2015-06-09 17:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13853: Add tests for is_waiting (1.67 KB, patch)
2015-06-19 16:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable (4.97 KB, patch)
2015-06-26 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13853: Add tests for is_waiting (1.68 KB, patch)
2015-06-26 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13853 [QA Followup] - Add unit tests for branch getting methods (1.90 KB, patch)
2015-06-26 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable (5.03 KB, patch)
2015-07-02 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13853: Add tests for is_waiting (1.74 KB, patch)
2015-07-02 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13853 [QA Followup] - Add unit tests for branch getting methods (1.96 KB, patch)
2015-07-02 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13853: (follow-up) unit tests (1.39 KB, patch)
2015-07-02 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-03-17 14:09:03 UTC
We should show the expiration date for waiting holds in the holds datatable that appears in circulation.pl and moremember.pl
Comment 1 Kyle M Hall 2015-03-17 14:12:40 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-03-18 12:59:56 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-06-01 14:10:21 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-06-09 16:34:05 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-06-09 17:36:24 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-06-19 16:23:08 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-06-19 16:25:54 UTC
Kyle,

Could you please provide tests for Koha::Item?

Something else: On this page there are 2 places where the library is displayed.

On top ("Holds waiting" block):
    Time (), by John D Hall Hold placed on 22/04/2015.
    Waiting at Le Cannet until 05/05/2015

    Studio Ciné Live (000), by Philippe Boulnois [791] Hold placed on 18/06/2015.
    Waiting at Médiathèque Départementale de Prêt until 25/06/2015

In the table:
    Item is waiting here
    Item is waiting at Le Cannet

Is it expected to have "here" in one case and the library name in the other case?
Comment 8 Kyle M Hall 2015-06-26 14:32:28 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2015-06-26 14:32:34 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2015-06-26 14:32:37 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2015-06-26 14:34:11 UTC
> In the table:
>     Item is waiting here
>     Item is waiting at Le Cannet
> 
> Is it expected to have "here" in one case and the library name in the other
> case?

Yes that is existing behavior and remains unchanged.
Comment 12 Jonathan Druart 2015-07-02 09:22:05 UTC
Created attachment 40755 [details] [review]
Bug 13853 - Show waiting hold expiration date for waiting holds in holds ajax datatable

We should show the expiration date for waiting holds in the holds
datatable that appears in circulation.pl and moremember.pl

Test Plan:
1) Ensure ReservesMaxPickUpDelay is set
2) Place a hold on a record
3) Place a second hold and set it to waiting by checking it in
4) Place a third hold with an expiration date
5) View the holds tab on circulation.pl and moremember.pl
6) Note the first hold has no expiration date
7) Note the second hold has an expiration date of today + ReservesMaxPickUpDelay days
8) Note the thrid hold has an expiration date of whatever you set it to

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Cathi Wiggins <CWIGGINS@ci.arcadia.ca.us>

Signed-off-by: Megan Wianecki <mwianecki@mplmain.mtpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 13 Jonathan Druart 2015-07-02 09:22:08 UTC
Created attachment 40756 [details] [review]
Bug 13853: Add tests for is_waiting

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 14 Jonathan Druart 2015-07-02 09:22:12 UTC
Created attachment 40757 [details] [review]
Bug 13853 [QA Followup] - Add unit tests for branch getting methods

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 15 Jonathan Druart 2015-07-02 09:22:15 UTC
Created attachment 40758 [details] [review]
Bug 13853: (follow-up) unit tests

Specify the reference, we should receive Koha::Object.

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 16 Tomás Cohen Arazi 2015-08-11 18:17:46 UTC
Patches pushed to master.

Thanks Kyle!